Bug 126134 - CRASH: closing LibreOffice while printing long file (gen)
Summary: CRASH: closing LibreOffice while printing long file (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-27 14:36 UTC by Xisco Faulí
Modified: 2019-06-28 15:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["ProgressBar::SetValue(unsigned short)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-27 14:36:32 UTC
Steps to reproduce:
1. Open attachment 125751 [details] from bug 151991
2. Go to File - Print
3. While the print progress bar is displayed, close LibreOffice

-> Crash

reproduced in

Version: 6.4.0.0.alpha0+
Build ID: a294457eb95e60028539b6783abac78b56561fe2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

not reproduced with gtk3
Comment 1 Xisco Faulí 2019-06-27 14:41:07 UTC
Issue found while checking the crash signatures in http://crashreport.libreoffice.org/stats/version/6.2.4.2
Comment 2 Xisco Faulí 2019-06-27 14:45:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5d5e0da5c314773129d8153363e2892fc359a744

author	Caolán McNamara <caolanm@redhat.com>	2018-10-12 14:35:59 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-12 17:47:08 +0200
commit	5d5e0da5c314773129d8153363e2892fc359a744 (patch)
tree	3b3e8bd8ce52666d784b4c9920244c9d4e584a85
parent	b0dc3c644ffc3726b3616377950df25dc09d1a35 (diff)
tdf#118572 dispose instead of LazyDeletor

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-06-27 19:55:12 UTC
https://gerrit.libreoffice.org/#/c/74821/
Comment 4 Commit Notification 2019-06-28 10:31:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b399dba597c90777c0edf2c5b19d029b3bff23df%5E%21

Resolves: tdf#126134 EndDialog on disposed dialog

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-28 10:33:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/ad0652ccbf23e67e6f929663398fe4e7717c5cfe%5E%21

Resolves: tdf#126134 EndDialog on disposed dialog

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-28 15:36:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d9b32fdee82e05042681a3fd4b634055edfaf00b%5E%21

Resolves: tdf#126134 EndDialog on disposed dialog

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-06-28 15:49:30 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 41cf4e6604bfb9b51ce54c5ea64d77249c7545d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!